### Method

# Cogl MatrixStack translate

#### Declaration [src]

    void
    cogl_matrix_stack_translate (
      CoglMatrixStack* stack,
      float x,
      float y,
      float z
    )

#### Description [src]

Multiplies the current matrix by one that translates along all three axes according to the given values.

#### Parameters

`x`

  Type: `float`

  Distance to translate along the x-axis.

`y`

  Type: `float`

  Distance to translate along the y-axis.

`z`

  Type: `float`

  Distance to translate along the z-axis.